Bug 1248 - RPM_INSTALL_PREFIX broken under glint
RPM_INSTALL_PREFIX broken under glint
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-02-19 14:33 EST by Michael K. Johnson
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-06 17:04:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael K. Johnson 1999-02-19 14:33:51 EST
From: Diana King <diana@kai.com>

One specific problem which our customers had when installing
the KAI C++
(KCC) rpm from the LACD was using glint (or other graphical
interfaces to
rpm).  Our rpm was relocatable, so our post-install script
(and others) made
use of RPM_INSTALL_PREFIX.  Apparently these graphical
interfaces to rpm do
not all set this environment variable like rpm does.  No one
had any problems
with using the command line version of rpm.

Specifically, customers who had problems reported using
"glint" and "the
Package Management program under Xwindows".  One person (who
had
freshly installed RedHat 5.2 and was) using glint reported
that "Glint locks up and the package never completes the
install.  Glint
works fine when I install rpms from RedHat."  He also
included the
following error output from trying to install KCC.

[root@socrates rpms]# glint &
[1] 3167
[root@socrates rpms]# Glint Graphical Package Manager --
version 2.6.2
Copyright (C) 1998 - Red Hat Software
This may be freely redistributed under the terms of the GNU
Public
License
Exception in Tkinter callback
Traceback (innermost last):
  File
"/var/tmp/python-root/usr/lib/python1.5/lib-tk/Tkinter.py",
line
752, in __call__
    return apply(self.func, args)
  File "./glint.py", line 159, in installButton
    self.install(packages)
  File "./glint.py", line 182, in install
    DoInstall(packages)
  File "./install.py", line 252, in DoInstall
    InstallPackages(packages, 0, root, test)
  File "./install.py", line 223, in InstallPackages
    (code, out, err) = rhrun("/bin/rpm", rpmargs,
  File "/usr/lib/rhs/python/rhutil.py", line 130, in rhrun
    callBack(cbArgs, line)
  File "./install.py", line 165, in installProgress
    if (line[0] != "%"): return
IndexError: string index out of range


If you could pass these problem reports on to the
appropriate person so that
they can be fixed for future releases, we would greatly
appreciate it.  We'll
be happy to provide any additional information that we have,
but I think that
the customers who had problems were just doing basic
installs.
Comment 1 Jeff Johnson 1999-04-06 17:04:59 EDT
There are two problems here:
1) glint doesn't invoke rpm correctly. was not
	Gnorpm replaces glint in Red Hat 6.0
2) RPM_INSTALL_PREFIX was not being set correctly.
	The old-style --prefix has been resurrected in rpm-2.94-3

Note You need to log in before you can comment on or make changes to this bug.